Should i downgrade to 3.1.3 or should i stay at 4.0?

Discussion in 'iPod touch' started by Blazinq, Sep 15, 2010.

  1. Blazinq

    Blazinq New Member

    Joined:
    Jul 6, 2010
    Messages:
    219
    Likes Received:
    0
    Device:
    3G iPod touch
    is it worth it...or waiting..
  2. Josh5w5

    Josh5w5 Member

    Joined:
    Apr 24, 2010
    Messages:
    259
    Likes Received:
    0
    Device:
    iPad 2 (White)
    If your device is currently jailbroken, a 3g ipod touch just isnt worth it. All it will really add is folders and if your jailbroken you already have them. (If you can find 4.0, upgrade and jailbreak, but do NOT upgrade to 4.02)
  3. Blazinq

    Blazinq New Member

    Joined:
    Jul 6, 2010
    Messages:
    219
    Likes Received:
    0
    Device:
    3G iPod touch
    my ipod is 3g 4.0,so you think i should stay?
  4. JakeMan

    JakeMan Member

    Joined:
    Jun 22, 2010
    Messages:
    717
    Likes Received:
    18
    Device:
    4G iPod touch
    Personally, I say stay at 4.0. A lot of the packages have been updated for 4.0, and it preforms much better than 3.1.3. I would highly advise 4.0 on any newer device (iPod Touch 3G 32Gb+, iPad, iPhone 3GS+) because of their improved hardware. My iPhone 3G runs OK, but it freezes up a lot. I might downgrade to 3.1.3 for that device.
  5. GazaIan

    GazaIan Well-Known Member

    Joined:
    May 19, 2010
    Messages:
    5,975
    Likes Received:
    431
    Device:
    Nexus 4
    Stay at 4.0, i downgraded to 3.1.3 and hated it so badly that i went back to 4.0. i get to used to the new firmwares...
  6. Blazinq

    Blazinq New Member

    Joined:
    Jul 6, 2010
    Messages:
    219
    Likes Received:
    0
    Device:
    3G iPod touch
    yea really im tryna get iBluetooth which is not compatible wit 4.0
  7. cypherpunk

    cypherpunk New Member

    Joined:
    Jan 17, 2010
    Messages:
    137
    Likes Received:
    0
    Depends. Are you having performance issues with 4.0?
  8. iBricked

    iBricked Well-Known Member

    Joined:
    Apr 16, 2010
    Messages:
    5,874
    Likes Received:
    39
    Device:
    iPhone 5S
    Some stuff like iconoclasm stopped working on 3.1.3 and moved to 4.0. 4.0 is mroe cleaner and faster, if its crap for you its your fault for getting pooploads of mobilesubstrates/

Share This Page